=== autotests/kimaptest/CMakeLists.txt ===
kde_enable_exceptions()

set(kimaptest_SRCS
   fakeserver.cpp
   mockjob.cpp
   sslserver.cpp
)

add_library(kimaptest STATIC ${kimaptest_SRCS})
generate_export_header(kimaptest)
target_link_libraries(kimaptest KF5IMAP Qt5::Test Qt5::Network Qt5::Core KF5::CoreAddons KF5::KIOCore KF5::I18n)

install(TARGETS kimaptest ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############

install(FILES
  fakeserver.h
  mockjob.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/kimaptest COMPONENT Devel)
