## kimap 15.08.2

=== debian/changelog ===
kimap (15.08.2-0ubuntu1) wily; urgency=medium

  * Vivid backport
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 12:29:12 +0100

kimap (15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 17:02:43 +0100

kimap (15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:27:32 +0100

kimap (15.07.90-0ubuntu1) wily; urgency=medium

  * Initial release

 -- Harald Sitter <sitter@kde.org>  Tue, 18 Aug 2015 10:22:56 +0100
