=== debian/control ===
Source: kimap
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.12.0~),
               libboost-dev,
               libkf5coreaddons-dev,
               libkf5kdelibs4support-dev,
               libkf5mime-dev,
               libsasl2-dev,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev
Standards-Version: 3.9.6
XS-Testsuite: autopkgtest
Homepage: https://projects.kde.org/projects/kde/pim/kimap
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kimap.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kimap.git

Package: libkf5imap-dev
Section: libdevel
Architecture: any
Multi-Arch: foreign
Depends: libboost-dev,
         libkf5coreaddons-dev,
         libkf5imap5 (= ${binary:Version}),
         libkf5mime-dev,
         libsasl2-dev,
         ${misc:Depends}
Description: library for handling IMAP data - development files
 This library provides an API for handling data received from IMAP services.
 IMAP (Internet Message Access Protocol) is one of the two most prevalent
 Internet standard protocols for e-mail retrieval.
 .
 This package contains the development files.

Package: libkf5imap5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for handling IMAP data
 This library provides an API for handling data received from IMAP services.
 IMAP (Internet Message Access Protocol) is one of the two most prevalent
 Internet standard protocols for e-mail retrieval.

Package: libkf5imap-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: libkf5imap5 (= ${binary:Version}), ${misc:Depends}
Description: library for handling IMAP data - debug symbols
 This library provides an API for handling data received from IMAP services.
 IMAP (Internet Message Access Protocol) is one of the two most prevalent
 Internet standard protocols for e-mail retrieval.
 .
 This package contains the debug symbols.
