=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=libkf5imap-dbg

override_dh_auto_test:
	# Disable auto test at build time, fakeroot breaks them
	:
