## kimap 15.12.3

=== debian/changelog ===
kimap (15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 15:26:26 -0700

kimap (15.12.1-0ubuntu1) xenial; urgency=medium

  * Debian merge, no remaining changes.
  * New upstream release.
  * Debian merge: Second time, rebuild pim stack. 
  * No change. Rebuild. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 09 Mar 2016 10:47:15 +0100

kimap (15.12.0-2) experimental; urgency=medium

  * Bump build dependencies to match packages versions, and not
    libraries versions.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 11 Feb 2016 08:07:15 +0100

kimap (15.12.0-1) experimental; urgency=medium

  * New upstream release (15.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:23:40 +0100

kimap (15.12.0-0ubuntu1) UNRELEASED; urgency=medium

  [ Clive Johnston ]
  * New upstream release

  [ Scarlett Clark ]
  * Refresh symbols. Removed MISSING. We opted for a rebuild. 
  * Remove the epoch from the symbols. 

 -- Clive Johnston <clivejo@aol.com>  Sat, 02 Jan 2016 13:57:19 +0000

kimap (15.08.2-1) experimental; urgency=medium

  * New upstream release (15.08.2).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 16 Oct 2015 08:06:55 +0200

kimap (15.08.1-1) experimental; urgency=medium

  * New upstream release (15.08.1).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 19 Sep 2015 03:16:30 +0200

kimap (15.08.0-1) experimental; urgency=medium

  * Initial Debian release.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 09 Sep 2015 22:17:55 +0200
