=== autotests/CMakeLists.txt ===
--- 
+++ 
@@ -43,4 +43,5 @@
   streamparsertest
   setmetadatajobtest
   appendjobtest
+  statusjobtest
 )
