=== debian/control ===
--- 
+++ 
@@ -5,30 +5,30 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.19.0~),
-               kio-dev (>= 5.19.0~),
+               extra-cmake-modules (>= 5.24.0~),
+               kio-dev (>= 5.24.0~),
                libboost-dev (>= 1.34.0~),
-               libkf5coreaddons-dev (>= 5.19.0~),
-               libkf5i18n-dev (>= 5.19.0~),
-               libkf5kdelibs4support-dev (>= 5.12.0~),
-               libkf5mime-dev (>= 15.12~),
+               libkf5coreaddons-dev (>= 5.24.0~),
+               libkf5i18n-dev (>= 5.24.0~),
+               libkf5kdelibs4support-dev (>= 5.24.0~),
+               libkf5mime-dev (>= 16.04.3~),
                libsasl2-dev,
                pkg-kde-tools (>> 0.15.15),
-               qtbase5-dev
-Standards-Version: 3.9.8
+               qtbase5-dev (>= 5.6.1~)
+Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/pim/kimap
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kimap.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kimap.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kimap
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kimap
 
 Package: libkf5imap-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: foreign
-Depends: kio-dev (>= 5.19.0~),
+Depends: kio-dev (>= 5.12.0~),
          libboost-dev (>= 1.34.0~),
-         libkf5coreaddons-dev (>= 5.19.0~),
+         libkf5coreaddons-dev (>= 5.12.0~),
          libkf5imap5 (= ${binary:Version}),
-         libkf5mime-dev (>= 5.2.0~),
+         libkf5mime-dev (>= 16.04.3~),
          libsasl2-dev,
          ${misc:Depends}
 Description: library for handling IMAP data - development files
