=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                libkf5i18n-dev (>= 5.31.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                libkf5kio-dev (>= 5.31.0~),
-               libkf5mime-dev (>= 17.04.3~),
+               libkf5mime-dev (>= 17.12.3~),
                libsasl2-dev,
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.6.1~)
@@ -23,12 +23,12 @@
 Package: libkf5imap-dev
 Section: libdevel
 Architecture: any
-Multi-Arch: foreign
+Multi-Arch: same
 Depends: libboost-dev (>= 1.34.0~),
          libkf5coreaddons-dev (>= 5.31.0~),
          libkf5imap5 (= ${binary:Version}),
          libkf5kio-dev (>= 5.31.0~),
-         libkf5mime-dev (>= 17.04.3~),
+         libkf5mime-dev (>= 17.12.3~),
          libsasl2-dev,
          ${misc:Depends}
 Description: library for handling IMAP data - development files
