## kimap 18.04.3

=== debian/changelog ===
kimap (18.04.3-0ubuntu1) cosmic; urgency=medium

  * Install debug categories files
  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 18:53:47 +0100

kimap (17.12.3-0ubuntu2) cosmic; urgency=medium

  * Mark symbol optional for Qt >= 5.10

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 20 Jul 2018 04:45:47 +0100
