=== debian/control ===
--- 
+++ 
@@ -11,10 +11,10 @@
                libkf5i18n-dev (>= 5.31.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                libkf5kio-dev (>= 5.31.0~),
-               libkf5mime-dev (>= 17.12.3~),
+               libkf5mime-dev (>= 18.04.3~),
                libsasl2-dev,
                pkg-kde-tools (>> 0.15.15),
-               qtbase5-dev (>= 5.6.1~)
+               qtbase5-dev (>= 5.6.1~),
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/pim/kimap
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kimap
@@ -28,9 +28,9 @@
          libkf5coreaddons-dev (>= 5.31.0~),
          libkf5imap5 (= ${binary:Version}),
          libkf5kio-dev (>= 5.31.0~),
-         libkf5mime-dev (>= 17.12.3~),
+         libkf5mime-dev (>= 18.04.3~),
          libsasl2-dev,
-         ${misc:Depends}
+         ${misc:Depends},
 Description: library for handling IMAP data - development files
  This library provides an API for handling data received from IMAP services.
  IMAP (Internet Message Access Protocol) is one of the two most prevalent
