=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,3 @@
-# FIXME: Make it build with this flag
-remove_definitions(-DQT_NO_CAST_FROM_BYTEARRAY)
 
 # Turn exceptions on
 kde_enable_exceptions()
@@ -20,6 +18,7 @@
    getmetadatajob.cpp
    getquotajob.cpp
    getquotarootjob.cpp
+   idjob.cpp
    idlejob.cpp
    imapset.cpp
    imapstreamparser.cpp
@@ -29,6 +28,7 @@
    loginjob.cpp
    logoutjob.cpp
    metadatajobbase.cpp
+   movejob.cpp
    myrightsjob.cpp
    namespacejob.cpp
    quotajobbase.cpp
@@ -43,12 +43,13 @@
    setacljob.cpp
    setmetadatajob.cpp
    setquotajob.cpp
+   statusjob.cpp
    storejob.cpp
    subscribejob.cpp
    unsubscribejob.cpp
 )
 
-ecm_qt_declare_logging_category(kimap_SRCS HEADER kimap_debug.h IDENTIFIER KIMAP_LOG CATEGORY_NAME log_kimap)
+ecm_qt_declare_logging_category(kimap_SRCS HEADER kimap_debug.h IDENTIFIER KIMAP_LOG CATEGORY_NAME org.kde.pim.kimap)
 
 add_library(KF5IMAP ${kimap_SRCS})
 
@@ -56,18 +57,24 @@
 
 add_library(KF5::IMAP ALIAS KF5IMAP)
 
-target_include_directories(KF5IMAP INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/KIMAP;${Sasl2_INCLUDE_DIR}>")
+target_include_directories(KF5IMAP INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/KIMAP>")
 target_include_directories(KF5IMAP PUBLIC "$<BUILD_INTERFACE:${KIMAP_SOURCE_DIR}/src;${KIMAP_BINARY_DIR}/src>")
+
+if (WIN32)
+    set(extra_LIBS ws2_32)
+endif()
 
 target_link_libraries(KF5IMAP
 PUBLIC
   KF5::Mime
+  KF5::CoreAddons
+  Qt5::Network
 PRIVATE
   KF5::KIOCore
   KF5::Codecs
-  KF5::CoreAddons
   KF5::I18n
-  ${Sasl2_LIBRARIES}
+  Sasl2::Sasl2
+  ${extra_LIBS}
 )
 
 set_target_properties(KF5IMAP PROPERTIES
@@ -93,6 +100,7 @@
   GetMetaDataJob
   GetQuotaJob
   GetQuotaRootJob
+  IdJob
   IdleJob
   ImapSet
   Job
@@ -101,6 +109,7 @@
   LoginJob
   LogoutJob
   MetaDataJobBase
+  MoveJob
   MyRightsJob
   QuotaJobBase
   RenameJob
@@ -111,6 +120,7 @@
   SetAclJob
   SetMetaDataJob
   SetQuotaJob
+  StatusJob
   StoreJob
   SubscribeJob
   UnsubscribeJob
