=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                libkf5i18n-dev (>= 5.31.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                libkf5kio-dev (>= 5.31.0~),
-               libkf5mime-dev (>= 18.12.3~),
+               libkf5mime-dev (>= 19.04.3~),
                libsasl2-dev,
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.6.1~),
@@ -28,7 +28,7 @@
          libkf5coreaddons-dev (>= 5.31.0~),
          libkf5imap5 (= ${binary:Version}),
          libkf5kio-dev (>= 5.31.0~),
-         libkf5mime-dev (>= 18.12.3~),
+         libkf5mime-dev (>= 19.04.3~),
          libsasl2-dev,
          ${misc:Depends},
 Description: library for handling IMAP data - development files
